Main Page | Modules | File List | File Members

# Router functions

List of the Library's functions who manage the router connection and router requests. More...

## Functions
GSbool | RegServerSend_RouterConnect (const GSchar *szAddress, GSushort usPort)
| Connect to the router.
GSbool | RegServerSend_LoginRouter (const GSchar *szUsername, const GSchar *szPassword, const GSchar *szVersion)
| Send the login info to the router.
GSbool | RegServerSend_RouterDisconnect ()
| Disconnect the Router.
GSbool | RegServerSend_RequestParentGroupOnLobby (const GSchar *szGameName)
| Get the lobbies of the related game.
GSbool | RegServerSend_RegisterServerOnLobby (GSuint uiLobbyID, GSint iParentID, const GSchar *szRoomName, const GSchar *szGameName, GSushort uwRoomType, GSuint uiMaxPlayer, GSuint uiMaxSpectator, const GSchar *szPassword, const GSvoid *pstGroupInfo, GSint iGroupInfoSize, const GSvoid *pstAltGroupInfo, GSint iAltGroupInfoSize, const GSvoid *pstGameData, GSint iGameDataSize, GSushort usGamePort, const GSchar *szGameVersion, const GSchar *szGSVersion, GSbool bScoreSubmission, GSbool bDedicatedServer)
| Register a room on the lobby-server.

## Detailed Description

List of the Library's functions who manage the router connection and router requests.

## Function Documentation

GSbool RegServerSend_LoginRouter | ( | const GSchar * | szUsername,
|  | const GSchar * | szPassword,
|  | const GSchar * | szVersion
| ) |

  | Description: Send the user name and the password as registered in ubi.com database. For anonymous login use "Ubi_Guest" as szUsername Callbacks: CBRegServerRcv_LoginRouterResult Returns: The function succeed ( The message was sent correctly ) Return values:
  GS_TRUE |
  GS_FALSE |
  Parameters:
  szUsername | The username of the Game Server that wants to log in
  szPassword | the password ( size PASSWORDLENGTH )
  szVersion | The version of the Game Server (usually PC1.0) ( size VERSIONLENGTH )

GSbool RegServerSend_RegisterServerOnLobby | ( | GSuint | uiLobbyID,
|  | GSint | iParentID,
|  | const GSchar * | szRoomName,
|  | const GSchar * | szGameName,
|  | GSushort | uwRoomType,
|  | GSuint | uiMaxPlayer,
|  | GSuint | uiMaxSpectator,
|  | const GSchar * | szPassword,
|  | const GSvoid * | pstGroupInfo,
|  | GSint | iGroupInfoSize,
|  | const GSvoid * | pstAltGroupInfo,
|  | GSint | iAltGroupInfoSize,
|  | const GSvoid * | pstGameData,
|  | GSint | iGameDataSize,
|  | GSushort | usGamePort,
|  | const GSchar * | szGameVersion,
|  | const GSchar * | szGSVersion,
|  | GSbool | bScoreSubmission,
|  | GSbool | bDedicatedServer
| ) |

  | Description: Create a room in the chosen lobby. If you wish to let the library choose the best Lobby for the room, set the uiLobbyID and iParentID parameters to 0. You still must call RegServerSend_RequestParentGroupOnLobby() and wait for the list of Lobbies to arrive. Callbacks: CBRegServerRcv_RegisterServer Returns: The function succeed Return values:
  GS_TRUE |
  GS_FALSE |
  Parameters:
  uiLobbyID | the ID of the lobby-server where the id will be created
  iParentID | the ID of the room where the id will be created
  szRoomName | The Name of the room
  szGameName | The name of the game
  uwRoomType | the type of the room ( ROOM_HYBRID_DEDICATED, ROOM_UBI_CLIENTHOST_DEDICATED, ROOM_UBI_GAMESERVER_DEDICATED, ROOM_DEDICATEDSERVER,
  uiMaxPlayer | The Maximum Player
  uiMaxSpectator | The Maximum Spectator
  szPassword | The password of the room
  pstGroupInfo | The pointer of the info of the group.
  iGroupInfoSize | The buffer size of the info of the group
  pstAltGroupInfo | The pointer of the alternate info of the group.
  iAltGroupInfoSize | The buffer size of the alternate info of the group
  pstGameData | The connection info to connect to the game (ex Directplay GUID)
  iGameDataSize | The buffer size of game info
  usGamePort | The Port of ther Game Server
  szGameVersion | The Version of the Game
  szGSVersion | The version of given to the game by ubi.com
  bScoreSubmission | Allow the score submission; dont't allow: GS_FALSE, allow: GS_TRUE
  bDedicatedServer | This room represent a Dedicated Server; not Dedicated Server: GS_FALSE, Dedicated Server: GS_TRUE

GSbool RegServerSend_RequestParentGroupOnLobby | ( | const GSchar * | szGameName | ) |

  | Description: Request the lobbies that support the game. Callbacks: CBRegServerRcv_RequestParentGroup Returns: The message was sent correctly Return values:
  GS_TRUE |
  GS_FALSE |
  Parameters:
  szGameName | (size GAMELENGTH )

GSbool RegServerSend_RouterConnect | ( | const GSchar * | szAddress,
|  | GSushort | usPort
| ) |

  | Description: This function is used to connect to the router. Returns: Status of the function call Return values:
  GS_TRUE | Connection established
  GS_FALSE | Failed to established connection
  Parameters:
  szAddress | Router's IP address
  usPort | Router's RegServer port

GSbool RegServerSend_RouterDisconnect | ( |  | ) |

  | Description: Close the connection with the Router. Callbacks: CBRegServerRcv_RouterDisconnection Returns: The function succeed Return values:
  GS_TRUE |
  GS_FALSE | ( you are alredy disconnected )

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team